#ifndef UPDATERDIALOG_H
#define UPDATERDIALOG_H

#include <basedlg.h>
#include <QSimpleUpdater.h>

namespace Ui {
class UpdaterDialog;
}

class UpdaterDialog : public BaseDlg
{
    Q_OBJECT

public:
    explicit UpdaterDialog(QWidget *parent = nullptr);
    ~UpdaterDialog();
private:
    Ui::UpdaterDialog *ui;

protected slots:
    void OnCheckForUpdates() ;
    void updateChangelog(QString);
};

#endif // UPDATERDIALOG_H
